## fake 1.0.0

=== DESCRIPTION ===
Package: fake
Title: Flexible Data Simulation Using the Multivariate Normal
        Distribution
Version: 1.0.0
Author: Barbara Bodinier [aut, cre]
Maintainer: Barbara Bodinier <b.bodinier@imperial.ac.uk>
Description: Simulation of data from Gaussian Graphical Models (B Bodinier, S Filippi, TH Nost, J Chiquet, M Chadeau-Hyam (2021) <arXiv:2106.02521>). By controlling the conditional independence structure between the variables, these multivariate simulation tools can be used to evaluate the performance of regression, dimensionality reduction or graphical models.
License: GPL (>= 3)
Language: en-GB
Encoding: UTF-8
RoxygenNote: 7.2.0
Imports: huge, igraph, MASS, Rdpack, withr (>= 2.4.0)
Suggests: testthat (>= 3.0.0),
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: no
Packaged: 2022-07-22 17:29:42 UTC; barbara
Repository: CRAN
Date/Publication: 2022-08-09 12:40:02 UTC

## fake 1.1.7

=== Makefile ===
######################################################################
# Makefile for fake                                       October 1998
# Horms                                             horms@vergenet.net
#
# Fake
# Script to spoof an ip
# Designed to create redundant servers
# Copyright (C) 1998  Horms <horms@vergenet.net>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330,
######################################################################

ROOT_DIR=
BIN_DIR=$(ROOT_DIR)/usr/bin
BIN=fake
CONFIG_DIR=$(ROOT_DIR)/etc/fake
CONFIG=.fakerc clear_routers
INSTANCE_CONFIG_DIR=$(ROOT_DIR)/etc/fake/instance_config
INSTANCE_CONFIG=instance_config/203.12.97.7.cfg
MAN8=fake.8 send_arp.8
MAN8_DIR=$(ROOT_DIR)/usr/man/man8
DOC_DIR=$(ROOT_DIR)/usr/doc/fake-1.0.0
DOCS=README AUTHORS COPYING ChangeLog

.PHONY: all install clean patch

all: patch
	make -C send_arp

clean:
	make -C send_arp clean
	rm -f core

install: all
	make -C send_arp install
	test -d $(BIN_DIR) || mkdir -p $(BIN_DIR)
	install -c -m 755 $(BIN) $(BIN_DIR)
	test -d $(CONFIG_DIR) || mkdir -p $(CONFIG_DIR)
	install -c -m 644 $(CONFIG) $(CONFIG_DIR)
	test -d $(INSTANCE_CONFIG_DIR) || mkdir -p $(INSTANCE_CONFIG_DIR)
	install -c -m 644 $(INSTANCE_CONFIG) $(INSTANCE_CONFIG_DIR)
	test -d $(DOC_DIR) || mkdir -p $(DOC_DIR)
	install -c -m 644 $(DOCS) $(DOC_DIR)
	test -d $(MAN8_DIR) || mkdir -p $(MAN8_DIR)
	install -c -m 644 $(MAN8) $(MAN8_DIR)

patch:
	cd send_arp ; test -f Makefile ||  \
		( patch -p 1 < ../send_arp.patch ; \
		patch -p 1 < ../send_arp.dev.patch ; )

=== debian/changelog ===
fake (1.1.7) unstable; urgency=low

  * A release

 -- Simon Horman <horms@vergenet.net>  Mon,  7 Jan 2002 04:39:42 +1100

Local variables:
mode: debian-changelog
End:
eoch

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

export DH_COMPAT=2

pwd:=$(shell pwd)

build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE) patch all
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) \
	  ROOT_DIR=$(pwd)/debian/tmp \
	  MAN8_DIR=$(pwd)/debian/tmp/usr/share/man/man8/ \
  	  install

	mkdir -p $(pwd)/debian/tmp/usr/share/doc/fake
	install -c -m 644 README $(pwd)/debian/tmp/usr/share/doc/fake/
	install -c -m 644 AUTHORS $(pwd)/debian/tmp/usr/share/doc/fake/
	install -c -m 644 ChangeLog \
	  $(pwd)/debian/tmp/usr/share/doc/fake/changelog
	gzip --best $(pwd)/debian/tmp/usr/share/doc/fake/changelog
	install -c -m 644 docs/redundant_linux.txt \
	  $(pwd)/debian/tmp/usr/share/doc/fake/
	gzip --best \
	  $(pwd)/debian/tmp/usr/share/doc/fake/redundant_linux.txt
	install -c -m 644 docs/arp_fun.txt \
	  $(pwd)/debian/tmp/usr/share/doc/fake/
	gzip --best $(pwd)/debian/tmp/usr/share/doc/fake/arp_fun.txt

	dh_movefiles --source=debian/tmp

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_suidregister
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## fake 1.1.10

=== Makefile ===
######################################################################
# Makefile for Rediundant Linux Servers Talk     V1.0.0     April 1998
# Simon Horman                                       horms@zip.com.au.
# Zip Internet Professionals                   http://www.zip.com.au./
######################################################################

SHELL=  /bin/bash
LATEX=  latex
DVIPS=  dvips
RM=  rm -f
BZIP2 = bzip2
TAR = tar
MAKE = make
TOUCH = touch 

DIR = $(shell /usr/bin/basename `pwd`)
SRC = abstract.del ack.del box.del discussion.del how.del more.del nfs.del redundant_linux.del sandwich.del terms.del testing.del what.del LAN.del ARPrace.del HTTPAccelerator.del POP3Switch.del

all: redundant_linux.dvi

redundant_linux.dvi: $(SRC)
	$(LATEX) redundant_linux.tex
	cat message

ps: redundant_linux.ps

redundant_linux.ps: redundant_linux.dvi
	$(DVIPS) redundant_linux.dvi -o redundant_linux.ps

compress: redundant_linux.ps.bz2 redundant_linux.dvi.bz2
 
tar: ../$(DIR).tar.bz2

../$(DIR).tar.bz2: $(SRC)
	$(MAKE) clobber
	$(TAR) cf ../$(DIR).tar -C .. $(DIR)
	$(RM) -f ../$(DIR).tar.bz2
	$(BZIP2)  ../$(DIR).tar 

clean:
	$(RM) *.ps *.dvi *.bz2 core *.bak core *.del

clobber: clean
	$(RM) *.aux
	

%.del: %.tex
	$(TOUCH) $@

%.bz2: %
	$(BZIP2) -k $<

## fake 1.1.11

=== Makefile ===
######################################################################
# Makefile for fake                                       October 1998
# Horms                                             horms@verge.net.au
#
# Fake
# Script to spoof an ip
# Designed to create redundant servers
# Copyright (C) 1998  Horms <horms@verge.net.au>
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330,
######################################################################

ROOT_DIR=
BIN_DIR=$(ROOT_DIR)/usr/sbin
BIN=fake
CONFIG_DIR=$(ROOT_DIR)/etc/fake
CONFIG=.fakerc clear_routers
INSTANCE_CONFIG_DIR=$(ROOT_DIR)/etc/fake/instance_config
INSTANCE_CONFIG=instance_config/203.12.97.7.cfg \
instance_config/192.168.89.19.cfg
MAN8=fake.8 send_arp.8
MAN8_DIR=$(ROOT_DIR)/usr/man/man8
DOC_DIR=$(ROOT_DIR)/usr/doc/fake-1.1.10
DOCS=README AUTHORS COPYING ChangeLog
SUBDIR=send_arp heartbeat

.PHONY: all install clean patch

all: patch
	for i in $(SUBDIR); do make -C $$i all; done

clean: patch
	for i in $(SUBDIR); do make -C $$i clean; done
	make unpatch
	rm -f core send_arp/send_arp.c.orig

install: all
	for i in $(SUBDIR); do make -C $$i install; done
	test -d $(BIN_DIR) || mkdir -p $(BIN_DIR)
	install -c -m 755 $(BIN) $(BIN_DIR)
	test -d $(CONFIG_DIR) || mkdir -p $(CONFIG_DIR)
	install -c -m 644 $(CONFIG) $(CONFIG_DIR)
	test -d $(INSTANCE_CONFIG_DIR) || mkdir -p $(INSTANCE_CONFIG_DIR)
	install -c -m 644 $(INSTANCE_CONFIG) $(INSTANCE_CONFIG_DIR)
	test -d $(DOC_DIR) || mkdir -p $(DOC_DIR)
	install -c -m 644 $(DOCS) $(DOC_DIR)
	test -d $(MAN8_DIR) || mkdir -p $(MAN8_DIR)
	install -c -m 644 $(MAN8) $(MAN8_DIR)

patch:
	cd send_arp ; test -f Makefile ||  \
		( patch -p 1 < ../send_arp.patch ; \
		patch -p 1 < ../send_arp.dev.patch ; \
		patch -p 1 < ../send_arp.l2.patch ; \
		patch -p 1 < ../send_arp.request_reply.patch ; )

unpatch:
	cd send_arp ; test -f Makefile &&  \
		( patch -p 1 -R < ../send_arp.request_reply.patch ; \
		patch -p 1 -R < ../send_arp.l2.patch ; \
		patch -p 1 -R < ../send_arp.dev.patch ; \
		patch -p 1 -R < ../send_arp.patch )
	cd send_arp ; rm -f Makefile

=== debian/changelog ===
fake (1.1.11-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Maintain in Debian team on Salsa
  * Add watch file
    Closes: #1119059
  * d/copyright: DEP5
  * d/rules: Short dh
  * Standards-Version: 4.7.3
  * debhelper-compat 13 (routine-update)
  * Add DEP3 fields

 -- Andreas Tille <tille@debian.org>  Fri, 16 Jan 2026 23:08:33 +0100

fake (1.1.11-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0. (Closes: #1007688)
  * Add Homepage. (Closes: #594030)

  [ Helmut Grohne ]
  * Fix FTCBFS: Let dh_auto_build pass cross tools to make. (Closes: #915554)

 -- Bastian Germann <bage@debian.org>  Tue, 22 Aug 2023 16:02:14 +0000

fake (1.1.11-3) unstable; urgency=medium

  * Restrict architecture to linux-any as send-arp uses a linux-specific
    include

 -- Simon Horman <horms@debian.org>  Wed, 11 Jan 2017 17:21:39 +0100

fake (1.1.11-2) unstable; urgency=medium

  * Make build reproducible. (Closes: #776949)
  * Update standards version from 3.6.1 to 3.9.8
  * Update debhelper compat level from 5 to 9
  * Use dh_prep instead of dh_clean -k
  * Use flags provided by dpkg-buildflags

 -- Simon Horman <horms@debian.org>  Wed, 11 Jan 2017 11:40:43 +0100

fake (1.1.11-1) unstable; urgency=low

  * New upstream
    - Include Raphael Geissert's non-maintainer upload changes.
    - Don't die if FOREIGN_INTERFACE isn't set as it isn't mandatory.

 -- Simon Horman <horms@debian.org>  Wed, 08 Jul 2009 18:27:15 +1000

fake (1.1.10-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix bashism. (Closes: #530079)
  * debian/rules:
    + Don't ignore errors by make;
    + Use $(CURDIR) instead of pwd.
  * debian/compat: bump to level five.
  * debian/control:
    + Bump versioned dependency on debhelper.
    + Add dependency on misc:Depends

 -- Raphael Geissert <geissert@debian.org>  Thu, 02 Jul 2009 21:37:08 -0500

fake (1.1.10-1) unstable; urgency=low

  * New Upstream
  * Removed unused LOG_DIR directive. Thomas Hood.  (closes: Bug#253292)
  * Fixed typos in fake(8) man page. Thomas Hood. (closes: Bug#253294)

 -- Simon Horman <horms@debian.org>  Fri, 11 Jun 2004 18:14:03 +0900

fake (1.1.9-1) unstable; urgency=low

  * New Upstream
    (closes: Bug#253129)

 -- Simon Horman <horms@debian.org>  Tue,  8 Jun 2004 16:46:28 +0900

fake (1.1.8-1) unstable; urgency=low

  * Updated for 1.1.8
    (closes: Bug#165318)

 -- Simon Horman <horms@vergenet.net>  Mon, 21 Oct 2002 12:35:19 +0900

=== debian/control ===
Source: fake
Build-Depends: debhelper-compat (= 13), patch
Section: admin
Maintainer: Simon Horman <horms@debian.org>
Standards-Version: 4.7.3
Vcs-Browser: https://salsa.debian.org/debian/fake
Vcs-Git: https://salsa.debian.org/debian/fake.git
Homepage: https://projects.horms.net/projects/fake/

Package: fake
Architecture: linux-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: IP address takeover tool
 Fake is a utility that enables the IP address be taken over by bringing up
 a second interface on the host machine and using gratuitous arp. Designed
 to switch in backup servers on a LAN.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- patch all

override_dh_auto_install:
	$(MAKE) \
	    ROOT_DIR=$(CURDIR)/debian/`dh_listpackages` \
	    MAN8_DIR=$(CURDIR)/debian/`dh_listpackages`/usr/share/man/man8/ \
	    install
	rm -rf $(CURDIR)/debian/`dh_listpackages`/usr/doc
	rm -f $(CURDIR)/debian/`dh_listpackages`/etc/fake/instance_config/*

=== debian/watch ===
Version: 5

Source: https://projects.horms.net/projects/@PACKAGE@/download/@ANY_VERSION@/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@

## fake 1.3.0

=== DESCRIPTION ===
Package: fake
Title: Flexible Data Simulation Using the Multivariate Normal
        Distribution
Version: 1.3.0
Date: 2022-12-08
Author: Barbara Bodinier [aut, cre]
Maintainer: Barbara Bodinier <b.bodinier@imperial.ac.uk>
Description: This R package can be used to generate artificial data conditionally on pre-specified (simulated or user-defined) relationships between the variables and/or observations. Each observation is drawn from a multivariate Normal distribution where the mean vector and covariance matrix reflect the desired relationships. Outputs can be used to evaluate the performances of variable selection, graphical modelling, or clustering approaches by comparing the true and estimated structures (B Bodinier et al (2021) <arXiv:2106.02521>).
License: GPL (>= 3)
Language: en-GB
Encoding: UTF-8
RoxygenNote: 7.2.0
Imports: huge, igraph, MASS, Rdpack, withr (>= 2.4.0)
Suggests: testthat (>= 3.0.0),
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: no
Packaged: 2022-12-08 19:17:13 UTC; barbara
Repository: CRAN
Date/Publication: 2022-12-09 11:40:02 UTC

## fake 1.4.0

=== DESCRIPTION ===
Package: fake
Title: Flexible Data Simulation Using the Multivariate Normal
        Distribution
Version: 1.4.0
Date: 2023-04-13
Author: Barbara Bodinier [aut, cre]
Maintainer: Barbara Bodinier <barbara.bodinier@gmail.com>
Description: This R package can be used to generate artificial data conditionally on pre-specified (simulated or user-defined) relationships between the variables and/or observations. Each observation is drawn from a multivariate Normal distribution where the mean vector and covariance matrix reflect the desired relationships. Outputs can be used to evaluate the performances of variable selection, graphical modelling, or clustering approaches by comparing the true and estimated structures (B Bodinier et al (2021) <arXiv:2106.02521>).
License: GPL (>= 3)
Language: en-GB
Encoding: UTF-8
RoxygenNote: 7.2.3
Imports: huge, igraph, MASS, Rdpack, withr (>= 2.4.0)
Suggests: testthat (>= 3.0.0),
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: no
Packaged: 2023-04-13 13:24:39 UTC; barbara
Repository: CRAN
Date/Publication: 2023-04-13 22:30:24 UTC

## fake 1.5.0

=== DESCRIPTION ===
Package: fake
Title: Flexible Data Simulation Using the Multivariate Normal
        Distribution
Version: 1.5.0
Date: 2026-01-18
Authors@R: person(given = "Barbara",
  family = "Bodinier",
  role = c("aut", "cre"),
  email = "barbara.bodinier@gmail.com")
Maintainer: Barbara Bodinier <barbara.bodinier@gmail.com>
Description: This R package can be used to generate artificial data conditionally on pre-specified (simulated or user-defined) relationships between the variables and/or observations. Each observation is drawn from a multivariate Normal distribution where the mean vector and covariance matrix reflect the desired relationships. Outputs can be used to evaluate the performances of variable selection, graphical modelling, or clustering approaches by comparing the true and estimated structures (B Bodinier et al (2021) <doi:10.1093/jrsssc/qlad058>).
License: GPL (>= 3)
Language: en-GB
Encoding: UTF-8
RoxygenNote: 7.3.1
Imports: igraph, MASS, Rdpack, withr (>= 2.4.0)
Suggests: testthat (>= 3.0.0),
Config/testthat/edition: 3
RdMacros: Rdpack
NeedsCompilation: no
Packaged: 2026-01-18 14:41:04 UTC; barbara
Author: Barbara Bodinier [aut, cre]
Repository: CRAN
Date/Publication: 2026-01-18 15:20:20 UTC

## fake dataset-0.0.2

=== requirements.txt ===
pandas>=1.4.2
numpy>=1.22.3

## fake memcached-0.1.1

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = fake_memcached
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## fake py-0.11.6

=== Makefile ===
# Update version ONLY here
VERSION := 0.11.6
SHELL := /bin/bash
# Makefile for project
VENV := ~/.virtualenvs/fake.py/bin/activate
UNAME_S := $(shell uname -s)

# Build documentation using Sphinx and zip it
build_docs:
	source $(VENV) && sphinx-build -n -b text docs builddocs
	source $(VENV) && sphinx-build -n -a -b html docs builddocs
	cd builddocs && zip -r ../builddocs.zip . -x ".*" && cd ..

rebuild_docs:
	source $(VENV) && sphinx-apidoc . --full -o docs -H 'fake.py' -A 'Artur Barseghyan <artur.barseghyan@gmail.com>' -f -d 20
	cp docs/conf.py.distrib docs/conf.py
	cp docs/index.rst.distrib docs/index.rst

build_docs_epub:
	$(MAKE) -C docs/ epub

build_docs_pdf:
	$(MAKE) -C docs/ latexpdf

auto_build_docs:
	source $(VENV) && sphinx-autobuild docs docs/_build/html

pre-commit:
	pre-commit run --all-files

doc8:
	source $(VENV) && doc8

# Run ruff on the codebase
ruff:
	source $(VENV) && ruff check .

# Serve the built docs on port 5001
serve_docs:
	source $(VENV) && cd builddocs && python -m http.server 5001

# Install the project
install:
	source $(VENV) && pip install -e .[all]

test: clean
	source $(VENV) && pytest -vrx -s

test-integration: customisation-test \
dataclasses-test \
django-test \
hypothesis-test \
lazyfuzzy-test \
pydantic-test \
sqlalchemy-test \
sqlmodel-test \
tortoise-test


test-all: test \
customisation-test \
dataclasses-test \
django-test \
hypothesis-test \
lazyfuzzy-test \
pydantic-test \
sqlalchemy-test \
sqlmodel-test \
tortoise-test

customisation-test:
	source $(VENV) && cd examples/customisation/ && pytest

dataclasses-test:
	source $(VENV) && cd examples/dataclasses/ && pytest

django-test:
	source $(VENV) && cd examples/django/ && pytest

hypothesis-test:
	source $(VENV) && cd examples/hypothesis/ && pytest

lazyfuzzy-test:
	source $(VENV) && cd examples/lazyfuzzy/ && pytest

pydantic-test:
	source $(VENV) && cd examples/pydantic/ && pytest

sqlalchemy-test:
	source $(VENV) && cd examples/sqlalchemy/ && pytest

sqlmodel-test:
	source $(VENV) && cd examples/sqlmodel/ && pytest

tortoise-test:
	source $(VENV) && cd examples/tortoise/ && pytest

shell:
	source $(VENV) && ipython

customisation-shell:
	source $(VENV) && cd examples/customisation/ && python manage.py shell

customisation-address-cli:
	@echo Running Python script: $(filter-out $@,$(MAKECMDGOALS))
	source $(VENV) && cd examples/customisation/ && python address_cli.py $(filter-out $@,$(MAKECMDGOALS))

customisation-band-cli:
	@echo Running Python script: $(filter-out $@,$(MAKECMDGOALS))
	source $(VENV) && cd examples/customisation/ && python band_cli.py $(filter-out $@,$(MAKECMDGOALS))

customisation-custom-data-cli:
	@echo Running Python script: $(filter-out $@,$(MAKECMDGOALS))
	source $(VENV) && cd examples/customisation/ && python custom_data_cli.py $(filter-out $@,$(MAKECMDGOALS))

dataclasses-shell:
	source $(VENV) && cd examples/dataclasses/ && python manage.py shell

django-shell:
	source $(VENV) && python examples/django/manage.py shell

django-runserver:
	source $(VENV) && python examples/django/manage.py runserver 0.0.0.0:8000 --traceback -v 3

django-makemigrations:
	source $(VENV) && python examples/django/manage.py makemigrations

django-apply-migrations:
	source $(VENV) && python examples/django/manage.py migrate

lazyfuzzy-shell:
	source $(VENV) && cd examples/lazyfuzzy/ && python manage.py shell

pydantic-shell:
	source $(VENV) && cd examples/pydantic/ && python manage.py shell

sqlalchemy-shell:
	source $(VENV) && cd examples/sqlalchemy/ && python manage.py shell

sqlmodel-shell:
	source $(VENV) && cd examples/sqlmodel/ && python manage.py shell

tortoise-shell:
	source $(VENV) && cd examples/tortoise/ && python manage.py shell

create-secrets:
	source $(VENV) && detect-secrets scan > .secrets.baseline

detect-secrets:
	source $(VENV) && detect-secrets scan --baseline .secrets.baseline

# Clean up generated files
clean:
	find . -type f -name "*.pyc" -exec rm -f {} \;
	find . -type f -name "builddocs.zip" -exec rm -f {} \;
	find . -type f -name "*.py,cover" -exec rm -f {} \;
	find . -type f -name "*.orig" -exec rm -f {} \;
	find . -type f -name "*.coverage" -exec rm -f {} \;
	find . -type f -name "*.db" -exec rm -f {} \;
	find . -type d -name "__pycache__" -exec rm -rf {} \; -prune
	rm -rf build/
	rm -rf dist/
	rm -rf .cache/
	rm -rf htmlcov/
	rm -rf builddocs/
	rm -rf testdocs/
	rm -rf .coverage
	rm -rf .pytest_cache/
	rm -rf .mypy_cache/
	rm -rf .ruff_cache/
	rm -rf dist/
	rm -rf fake.py.egg-info/

compile-requirements:
	source $(VENV) && uv pip compile --all-extras -o docs/requirements.txt pyproject.toml

compile-requirements-upgrade:
	source $(VENV) && uv pip compile --all-extras -o docs/requirements.txt pyproject.toml --upgrade

update-version:
	#sed -i 's/version = "[0-9.]\+"/version = "$(VERSION)"/' pyproject.toml
	#sed -i 's/__version__ = "[0-9.]\+"/__version__ = "$(VERSION)"/' fake.py
	@echo "Updating version in pyproject.toml and fake.py"
	@if [ "$(UNAME_S)" = "Darwin" ]; then \
		gsed -i 's/version = "[0-9.]\+"/version = "$(VERSION)"/' pyproject.toml; \
		gsed -i 's/__version__ = "[0-9.]\+"/__version__ = "$(VERSION)"/' fake.py; \
	else \
		sed -i 's/version = "[0-9.]\+"/version = "$(VERSION)"/' pyproject.toml; \
		sed -i 's/__version__ = "[0-9.]\+"/__version__ = "$(VERSION)"/' fake.py; \
	fi

build:
	source $(VENV) && python -m build .

check-build:
	source $(VENV) && twine check dist/*

release:
	source $(VENV) && twine upload dist/* --verbose

test-release:
	source $(VENV) && twine upload --repository testpypi dist/*

mypy:
	source $(VENV) && mypy fake.py

%:
	@:

## fake tree-0.0.1

=== docs/Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # You can set these variables from the command line.
 SPHINXOPTS    =
 SPHINXBUILD   = python -msphinx
-SPHINXPROJ    = fake_memcached
+SPHINXPROJ    = fake_tree
 SOURCEDIR     = .
 BUILDDIR      = _build
